> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit an electricity energy prices job

> This API manages the lifecycle of electricity-prices using the bulk mode operation

Decompress the .tar.gz archive, and process each json file contained in the archive. Only the .tar.gz format is valid.
No order is guaranteed for the file processing order nor the order of processing of requests within a file.

Each file in the archive is a JSON file with format of the RequestsFileContent schemas described in this document. 
A file can contain a maximum of 10.000 requests.

A global error is returned in the following situation:
  - invalid archive format
  - invalid archive content
This API returns a URl to access the job status.




## OpenAPI

````yaml /api-reference/elec-tariff-api.yaml post /v2/electricity-prices-jobs
openapi: 3.0.1
info:
  title: Tariffs lifecycle
  contact:
    email: api@datanumia.com
  license:
    name: License TBD
    url: https://datanumia.com/licenses/LICENSE
  version: v1
servers:
  - url: https://api.home.datanumia.com/api
    description: Production Server
security: []
paths:
  /v2/electricity-prices-jobs:
    post:
      tags:
        - Electricity energy prices Bulk
      summary: Submit an electricity energy prices job
      description: >
        This API manages the lifecycle of electricity-prices using the bulk mode
        operation


        Decompress the .tar.gz archive, and process each json file contained in
        the archive. Only the .tar.gz format is valid.

        No order is guaranteed for the file processing order nor the order of
        processing of requests within a file.


        Each file in the archive is a JSON file with format of the
        RequestsFileContent schemas described in this document. 

        A file can contain a maximum of 10.000 requests.


        A global error is returned in the following situation:
          - invalid archive format
          - invalid archive content
        This API returns a URl to access the job status.
      operationId: electricity-prices-post-archive-jobs
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: >-
                    A .tar.gz archive containing the The json files to be
                    processed.

                    Each json file must respect the RequestsFileContent schemas
                    described in this document.
        required: true
      responses:
        '200':
          description: bulk mode response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MassElecPriceRequestsResponse'
        '400':
          description: Functional Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content: {}
        '404':
          description: Not Found
          content: {}
        '500':
          description: Server error
          content: {}
components:
  schemas:
    MassElecPriceRequestsResponse:
      description: Return a job id that can be used to track the job execution status
      type: object
      properties:
        _links:
          $ref: '#/components/schemas/JobLinks'
    ErrorResponse:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          description: The error code.
          type: string
        errorDescription:
          type: string
          description: The error description
      description: ErrorResponse
    JobLinks:
      required:
        - self
      type: object
      properties:
        self:
          $ref: '#/components/schemas/JobLinkSelf'
    JobLinkSelf:
      required:
        - href
      type: object
      properties:
        href:
          type: string
          example: https://<DATANUMIA_ROOT_URL>/electricity-prices-jobs/{job-id}

````